%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version       0.82
%define polkit_version          0.92
%define parted_version          1.8.8
%define udev_version            145
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.12
%define sg3_utils_version       1.27
%define smp_utils_version       0.94
%define lvm2_version            2.2

#define git 20100315
Summary: Storage Management Service
Name: udisks
Version: 1.0.4
Release: %mkrel 10
License: GPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/wiki/Software/udisks
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# (cg) Attempt to make SD/xD card slots and friends work nicely.
Patch0: udisks-smartcard.patch
Patch1: udisks-1.0.4-neuter-stdout-and-stderr.patch
Patch2: udisks-1.0.4-systemd.patch
Patch3: udisks-1.0.4-automake-1.13.patch
BuildRequires: pkgconfig(dbus-1) >= 1.0
BuildRequires: pkgconfig(dbus-glib-1) >= 0.82
BuildRequires: pkgconfig(devmapper) >= 1.02
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.15.0
BuildRequires: pkgconfig(glib-2.0) >= 2.6.0
BuildRequires: pkgconfig(gudev-1.0) >= 147
BuildRequires: pkgconfig(libatasmart) >= 0.14
BuildRequires: pkgconfig(libparted) >= 1.8.8
BuildRequires: pkgconfig(libudev) >= 143
BuildRequires: pkgconfig(lvm2app) >= 2.2
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.97

BuildRequires: intltool
BuildRequires: sg3_utils-devel >= %{sg3_utils_version}
BuildRequires: gtk-doc
BuildRequires: pkgconfig(systemd)
BuildRequires: libtool
# (cg) Only needed due to patches+autoconf
BuildRequires: gettext-devel
# needed to pull in the system bus daemon
Requires: dbus >= %{dbus_version}
# needed to pull in the udev daemon
Requires: udev >= %{udev_version}
#gw not yet packaged:
# for smp_rep_manufacturer
#Requires: smp_utils >= %{smp_utils_version}
# for mount, umount, mkswap
Requires: util-linux-ng
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.vfat
Suggests: dosfstools
# for mlabel
Suggests: mtools
# for mkntfs - no ntfsprogs on ppc, though
%ifnarch ppc ppc64
Suggests: ntfsprogs
%endif

BuildRequires: systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

# Obsolete and Provide DeviceKit-disks - udisks provides exactly the same
# ABI just with a different name and versioning-scheme
#
Obsoletes: devicekit-disks <= 009
Provides: devicekit-disks = 010

%description
udisks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for udisks
Group: Development/C
Requires: %{name} = %{version}-%{release}
# See comment above
#
Obsoletes: devicekit-disks-devel <= 009
Provides: devicekit-disks-devel = 010

%description devel
D-Bus interface definitions and documentation for udisks.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static --enable-lvm2 --enable-gtk-doc
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

# TODO: should be fixed upstream
chmod 0644 %{buildroot}%{_sysconfdir}/profile.d/udisks-bash-completion.sh

mkdir -p %{buildroot}%{_localstatedir}/lib/udisks

%find_lang %{name}

%post
%_post_service udisksd

%preun
%_preun_service udisksd


%files -f %{name}.lang
%doc README AUTHORS NEWS COPYING HACKING doc/TODO
%{_sysconfdir}/avahi/services/udisks.service
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
/lib/udev/rules.d/*.rules

/lib/udev/udisks-part-id
/lib/udev/udisks-dm-export
/lib/udev/udisks-probe-ata-smart
/lib/udev/udisks-probe-sas-expander
/lib/udev/udisks-lvm-pv-export
/sbin/umount.udisks

%{_bindir}/*
%{_libexecdir}/udisks-daemon
%{_libexecdir}/udisks-helper*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/*.policy

%{_datadir}/dbus-1/system-services/*.service

#%attr(0700,root,root) %dir %{_localstatedir}/run/udisks
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks

%{_unitdir}/udisksd.service

%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/pkgconfig/udisks.pc
%dir %{_datadir}/gtk-doc/html/udisks
%{_datadir}/gtk-doc/html/udisks/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-10.mga3
+ Revision: 384954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.0.4-9.mga3
+ Revision: 337930
- patch3: fix build with automake 1.13

* Fri Aug 03 2012 fwang <fwang> 1.0.4-8.mga3
+ Revision: 278280
- enable docs
- enable lvm2
- update systemd dir and brs
- rebuild for new gparted

* Fri Jun 29 2012 colin <colin> 1.0.4-7.mga3
+ Revision: 264954
- Fix build
- Rebuild against new libudev major

* Sat Apr 28 2012 tmb <tmb> 1.0.4-6.mga2
+ Revision: 233885
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 colin <colin> 1.0.4-5.mga2
+ Revision: 227963
- Add missing BR gettext-devel
- Kill off excessive debug under systemd
- Convert systemd support to a patch which also tweaks dbus activation be systemd aware
- Use wrapped up post/preun macros

* Thu Jan 19 2012 tv <tv> 1.0.4-4.mga2
+ Revision: 198464
- unbloat installations:
  o do not suggests mdadm & xfsprogs, it's pulled by installer when needed
  o suggests instead of requires mtools
  (they were all blindly imported from RH(?) into mdv then into mga)

* Tue Nov 01 2011 dmorgan <dmorgan> 1.0.4-3.mga2
+ Revision: 160956
- Fix scriplets ( mdv)

* Sat Oct 29 2011 dmorgan <dmorgan> 1.0.4-2.mga2
+ Revision: 159686
- Add systemd support (mdv)

* Wed Oct 12 2011 dmorgan <dmorgan> 1.0.4-1.mga2
+ Revision: 154076
- New version 1.0.4
- Remove removed upstream file

* Sat Jul 09 2011 dmorgan <dmorgan> 1.0.3-2.mga2
+ Revision: 120802
- Fix file list
- Clean spec file
- New version 1.0.3

  + dams <dams>
    - rebuild for new parted

* Thu Mar 24 2011 boklm <boklm> 1.0.2-3.mga1
+ Revision: 76215
- rebuild for bug #497

* Mon Mar 21 2011 colin <colin> 1.0.2-2.mga1
+ Revision: 75321
- Add patch to make SD/xD card slots work properly

* Sat Jan 15 2011 dmorgan <dmorgan> 1.0.2-1.mga1
+ Revision: 18157
- imported package udisks

